{% extends "@Paa/Default/entityFormBase.html.twig" %}

{% block identification %}
    <div id="fEntityForm_{{ psNomTable }}_IdentifiantEntité" style="display:none;">{{ poEntité.iidintervenantscontrats }}</div>
{% endblock %}

{% block formulaire %}
 {#MC 20200909 DEBUT Modif de class bootstrap#}   
<div class="LesChamps card ml-0 pl-3">
    <div class="d-flex justify-content-around justify-content-lg-end flex-wrap">
            {{ form_widget(poForm.iintervenant, {'attr': {'style': 'display:none;'}}) }}
    {# Génération du label. #}
    
    {% if (poForm.ietablissement is defined) %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {{ form_label(poForm.ietablissement, "Etablissement ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
            <div class="col-sm-9 d-flex justify-content-center align-items-center">
                {{ form_widget(poForm.ietablissement, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control no-bg'}}) }}
            </div>
        </div>
    {% endif %}
    
    {% if poForm.ccontrat is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {{ form_label(poForm.ccontrat, "Contrat ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
            <div class="col-sm-9 d-flex justify-content-center align-items-center">
            {{ form_widget(poForm.ccontrat, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
            </div>
        </div>
    {% endif %}
    </div>
</div>
    
<div class="LesChamps ml-0 pl-3">
    <div class="d-flex justify-content-around justify-content-lg-end flex-wrap">
        {# Génération du label. #}
        {% if poForm.ddebut is defined %}
            <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
                {{ form_label(poForm.ddebut, "Début ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
                <div class="col-sm-9 d-flex justify-content-center align-items-center">
                {{ form_widget(poForm.ddebut, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}

        {# Génération du label. #}
        {% if poForm.dfin is defined %}
            <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
                {{ form_label(poForm.dfin, "Fin ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
                <div class="col-sm-9 d-flex justify-content-center align-items-center">
                {{ form_widget(poForm.dfin, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
                </div>
            </div>
        {% endif %}
   
   </div>
     <div class="d-flex justify-content-around justify-content-lg-end flex-wrap">
    
    {# Génération du label. #}
    {% if poForm.bnbhsem is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {{ form_label(poForm.bnbhsem, "H/sem ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
            <div class="col-sm-9 d-flex justify-content-center align-items-center">
            {{ form_widget(poForm.bnbhsem, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
            </div>
        </div>
    {% endif %}
    
    {# Génération du label. #}
    {% if poForm.bnbhmois is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {{ form_label(poForm.bnbhmois, "H/mois ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
            <div class="col-sm-9 d-flex justify-content-center align-items-center">
            {{ form_widget(poForm.bnbhmois, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
            </div>
        </div>
    {% endif %}
    
    </div>
    
    <div class="d-flex justify-content-around justify-content-lg-end flex-wrap">
    
    {# Génération du label. #}
    {% if poForm.bnbhannee is defined %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {{ form_label(poForm.bnbhannee, "H/an ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
            <div class="col-sm-9 d-flex justify-content-center align-items-center">
            {{ form_widget(poForm.bnbhannee, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control'}}) }}
            </div>
        </div>
    {% endif %}
    
    {% if (poForm.ltempspartiel is defined) %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right">
            {{ form_label(poForm.ltempspartiel, "Temps partiel ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
            <div class="col-sm-9 d-flex justify-content-start align-items-center">
                {{ form_widget(poForm.ltempspartiel, {'attr': {'class': 'shadow-form-control border-0'}}) }}
            </div>
        </div>
    {% endif %}
    
    </div>
    
</div>
    
    {% if (poForm.iintervenant is defined) %}
        <div class="form-group col-sm-6 col-lg-10 p-2 m-0 d-flex flex-row align-items-center justify-content-end float-right" style="display:none !important;">
            {{ form_label(poForm.iintervenant, "intervenant ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
            <div class="col-sm-9 d-flex justify-content-center align-items-center0">
                {{ form_widget(poForm.iintervenant, {'attr': {'class': 'col-sm-12 shadow-form-control border-0 form-control no-bg'}}) }}
            </div>
        </div>
    {% endif %}
    
    
     {#MC 20200909 FIN Modif de class bootstrap#}  
    
{#    AV 13/03/2019 tentative de liaison des deux tables intervenants et intervenantsContrats (non fonctinnel)
    {% if (poForm.iintervenant is defined) %}
        <div class="form-group col-sm-12 col-md-6 p-2 m-0 d-flex flex-row align-items-center justify-content-end">
            {{ form_label(poForm.iintervenant, "Intervenant ", {'label_attr': {'class': 'control-label m-0 mr-3'}}) }}
            <div class="col-sm-9 d-flex justify-content-center align-items-center">
                {{ form_widget(poForm.iintervenant, {'attr': {'class': 'form-control', 'LGDataRole': 'FK.Intervenants.iId_Intervenant'}}) }}
            </div>
        </div>
    {% endif %}#}
   
{% endblock %}
